summaryrefslogtreecommitdiffstats
path: root/third_party/rust/arrayvec/ci
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/rust/arrayvec/ci')
-rwxr-xr-xthird_party/rust/arrayvec/ci/miri.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/third_party/rust/arrayvec/ci/miri.sh b/third_party/rust/arrayvec/ci/miri.sh
new file mode 100755
index 0000000000..272995ca86
--- /dev/null
+++ b/third_party/rust/arrayvec/ci/miri.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -ex
+
+export CARGO_NET_RETRY=5
+export CARGO_NET_TIMEOUT=10
+
+MIRI_NIGHTLY=nightly-$(curl -s https://rust-lang.github.io/rustup-components-history/x86_64-unknown-linux-gnu/miri)
+echo "Installing latest nightly with Miri: $MIRI_NIGHTLY"
+rustup default "$MIRI_NIGHTLY"
+
+rustup component add miri
+cargo miri setup
+
+cargo miri test